=== contrib/logging/kibana-image/Makefile ===
build:	
	docker build -t kubernetes/kibana .

push:	
	docker push kubernetes/kibana
